Skip to main content
`Ctrl`+`K`

# TaoTermGetFDDelta

Get the increment used for finite difference derivative approximations in methods like `TaoTermComputeGradientFD()`

## Synopsis

    #include "petsctao.h"
    PetscErrorCode TaoTermGetFDDelta(TaoTerm term, PetscReal *delta)

Not collective

## Input Parameter

- term - a `TaoTerm`

## Output Parameter

- delta - the finite difference increment

## Options Database Key

- -tao_term_fd_delta - the above increment

## See Also

TaoTerm: composable objective function terms, `TaoTerm`, `TaoTermSetFDDelta()`, `TaoTermComputeGradientFD()`, `TaoTermComputeGradientSetUseFD()`, `TaoTermComputeGradientGetUseFD()`

## Level

advanced

## Location

src/tao/term/interface/taoterm.c

## Examples

src/tao/unconstrained/tutorials/rosenbrock1_taoterm.c

Index of all TaoTerm routines
Table of Contents for all manual pages
Index of all manual pages